Bug 1027655 - Allow user to configure more than one module-option for Security-Domain
Allow user to configure more than one module-option for Security-Domain
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ER2
: EAP 6.3.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 04:07 EST by Petr Kremensky
Modified: 2014-06-28 11:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
In older releases of JBoss EAP 6, only a single login-module could be added to the new security-domain. This release contains an enhancement to allow an arbitrary number of login-modules to be created. Users can now create multiple login-modules in their new security domain.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:39:40 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-11-07 04:07:37 EST
Description of problem:
 Currently, the user can add authentication/authorization/mapping element with only one authentication/authorization/mapping module. But each element could contain more than one module so we should allow user to do so.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER7

How reproducible:
 Always

Steps to Reproduce only with authentication element (same for authorization and mapping elements):
 1. Run gui installer. Go to Post-install configuration using default values.
 2. Choose to add a Security-domain.
 3. On Security-Domain configuration screen add eg. authentication element.

Actual results:
 User can add only one login-module (Authentication code/flag/options)

Expected results:
 There should be option to add more than one login-module

Additional info:
 Targeting EAP 6.3+ release.
Comment 1 Thomas Hauser 2013-11-07 09:50:26 EST
Agreed. Good feature to add for 6.3.0+
Comment 2 Miles Tjandrawidjaja 2014-03-06 12:19:48 EST
New security domain panel supports adding multiple authentication/authorization/mapping modules.
Comment 3 Petr Kremensky 2014-04-29 10:55:21 EDT
Verified on EAP 6.3.0.ER2

Note You need to log in before you can comment on or make changes to this bug.